Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.presentations
Interface IPresentationSerializer

public interface IPresentationSerializer

This interface is given to a StackPresentation when it is loading or saving its state. Not intended to be implemented by clients

Since:
  3.0

Method Summary
`String` | `getId(IPresentablePart part)` Returns a unique identifier for the given part.
`IPresentablePart` | `getPart(String id)` Returns a presentable part, given an id that was generated when the presentation was saved.

Method Detail

### getId

    public String getId(IPresentablePart part)

  Returns a unique identifier for the given part. The identifier can later be used to restore the original part by calling getPart(...). This identifier is guaranteed to be unique within a particular StackPresentation. However, the same part may be assigned a different ID each time the presentation is saved.

  Parameters:
    `part` - a part to be identified (not null)
  Returns:
    a unique identifier for the part (not null)

### getPart

    public IPresentablePart getPart(String id)

  Returns a presentable part, given an id that was generated when the presentation was saved.

  Parameters:
    `id` - an ID that was generated by getId(IPresentablePart) when the presentation was saved
  Returns:
    the presentable part associated with the given id, or null if none. Note that even if the ID was valid when the presentation was saved, it may not be valid when the presentation is restored. Callers must be prepared to handle a null result.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.